Bullet Collision Detection & Physics Library: b3ProcessAllTrianglesHeightfield Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
b3ProcessAllTrianglesHeightfield Struct Reference
Inheritance diagram for b3ProcessAllTrianglesHeightfield:
[legend]
Collaboration diagram for b3ProcessAllTrianglesHeightfield:
[legend]

## Public Member Functions
| b3ProcessAllTrianglesHeightfield (btHeightfieldTerrainShape *heightFieldShape, btTriangleInfoMap *triangleInfoMap)
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)=0

## Public Attributes
btHeightfieldTerrainShape * | m_heightfieldShape
btTriangleInfoMap * | m_triangleInfoMap

## Detailed Description

Definition at line 297 of file btInternalEdgeUtility.cpp.

## Constructor & Destructor Documentation

## ◆ b3ProcessAllTrianglesHeightfield()

b3ProcessAllTrianglesHeightfield::b3ProcessAllTrianglesHeightfield | ( | btHeightfieldTerrainShape * | heightFieldShape,
|  | btTriangleInfoMap * | triangleInfoMap
| ) |  |
| inline

Definition at line 303 of file btInternalEdgeUtility.cpp.

## Member Function Documentation

## ◆ processTriangle()

virtual void b3ProcessAllTrianglesHeightfield::processTriangle | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex
| ) |  |
| inlinevirtual

Implements btTriangleCallback.

Definition at line 308 of file btInternalEdgeUtility.cpp.

## Member Data Documentation

## ◆ m_heightfieldShape

btHeightfieldTerrainShape* b3ProcessAllTrianglesHeightfield::m_heightfieldShape

Definition at line 299 of file btInternalEdgeUtility.cpp.

## ◆ m_triangleInfoMap

btTriangleInfoMap* b3ProcessAllTrianglesHeightfield::m_triangleInfoMap

Definition at line 300 of file btInternalEdgeUtility.cpp.

The documentation for this struct was generated from the following file:

- btInternalEdgeUtility.cpp